QGIS Application - Bug report #8586
Too much titles in the Legend from QGIS-server when single-symbol rendering
2013-09-08 06:30 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 17328
Description

Hi,

Actually ggis-server, when the render is single-symbol will return too much or noone label .

Infact actually the qgis-deskto don't allow to set a label in the legend.
It is allowed per the categorized render and for the rule render, but not for the single-symbol render.

So in the qgis-server the legend is returned without any label.
But If the user fill the Metadata field "Title" .
QGiIS-server will use this title for insert a label the legend, instead qgis-desktop ignore this setting for the label.

QGIS-server so insert the title in the legend, but it will insert the label over the image and to the right of the image.

This is too much.

| put an image as example.

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
